Version (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.Version interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface Version

All Known Subinterfaces:
  Aix, CICSRegion, CitrixApplication, CitrixLicense, CitrixLicensePool, ControlSoftware, CPU, Darwin, Dos, ExchangeProtocolVirtualServer, ExchangeServer, FreeBSD, HpUx, I5OperatingSystem, IMSSubsystem, ipso, Linux, MacOS, Memory, MQInstallation, MQSubsystem, Netware, OpenVms, OperatingSystem, SMSPackage, SMSSiteServer, SoftwareFix, SoftwareInstallation, SoftwareModification, SoftwareProduct, SoftwareUpdate, Solaris, SystemController, Tru64, Unix, VmwareESX, WindowsOperatingSystem, ZCouplingFacility, ZLinux, ZOS, ZVM

    public interface Version

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBuildLevel()` This string contains the build level without any version or release information.
`int` | `getLevel()` A very precise specification of the exact build level of a particular piece of software, or the exact manufacturing run of a physical element.
`int` | `getMajorVersion()` A major version of the product, and generally specified as the first number in a version string (for example, in WebSphere 6.1, the '6' is the major version).
`int` | `getModifier()` A version specification that is normally tied to fixes within a software release, and is normally specified third in a version string.
`int` | `getRelease()` The second highest specification in a version, generally used to show updates in a product where compatibility is maintained (such as between version 6.0 and 6.1 of WebSphere, where the '0' and the '1' are the release numbers).
`java.lang.String` | `getVersionString()` The complete version specification of the entity, expressed as a single string.
`boolean` | `hasBuildLevel()`
`boolean` | `hasLevel()`
`boolean` | `hasMajorVersion()`
`boolean` | `hasModifier()`
`boolean` | `hasRelease()`
`boolean` | `hasVersionString()`
`void` | `setBuildLevel(java.lang.String x)`
`void` | `setLevel(int v)`
`void` | `setMajorVersion(int v)`
`void` | `setModifier(int v)`
`void` | `setRelease(int v)`
`void` | `setVersionString(java.lang.String v)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getVersionString

    java.lang.String getVersionString()
                                      throws AttributeNotSetException

  The complete version specification of the entity, expressed as a single string. Note that this string should not contain any information about the manufacturer of the entity, the model of the entity, or the name of the product associated with the entity. It should just contain version information, in a format described by the manufacturer of the entity. It is recommended, when the other attributes in the Version interface are filled in, that this attribute contain the same values, separated by periods. Note - In some cases the version string may be returned directly from an API call. If so, the string should not be parsed other than to remove things like line breaks.

  Throws:
    `AttributeNotSetException`

### setVersionString

    void setVersionString(java.lang.String v)

### hasVersionString

    boolean hasVersionString()

### getMajorVersion

    int getMajorVersion()
                        throws AttributeNotSetException

  A major version of the product, and generally specified as the first number in a version string (for example, in WebSphere 6.1, the '6' is the major version). Generally, backwards-compatibility is not maintained across major version changes.

  Throws:
    `AttributeNotSetException`

### setMajorVersion

    void setMajorVersion(int v)

### hasMajorVersion

    boolean hasMajorVersion()

### getRelease

    int getRelease()
                   throws AttributeNotSetException

  The second highest specification in a version, generally used to show updates in a product where compatibility is maintained (such as between version 6.0 and 6.1 of WebSphere, where the '0' and the '1' are the release numbers).

  Throws:
    `AttributeNotSetException`

### setRelease

    void setRelease(int v)

### hasRelease

    boolean hasRelease()

### getModifier

    int getModifier()
                    throws AttributeNotSetException

  A version specification that is normally tied to fixes within a software release, and is normally specified third in a version string. The Modifier may not always be specified, as in WebSphere 6.1, but it is more precise to include the exact fix pack level present in the software.

  Throws:
    `AttributeNotSetException`

### setModifier

    void setModifier(int v)

### hasModifier

    boolean hasModifier()

### getLevel

    int getLevel()
                 throws AttributeNotSetException

  A very precise specification of the exact build level of a particular piece of software, or the exact manufacturing run of a physical element. Not always specified in the version string. For products that use a 3 digit numbering convention, the level should not be used.

  Throws:
    `AttributeNotSetException`

### setLevel

    void setLevel(int v)

### hasLevel

    boolean hasLevel()

### getBuildLevel

    java.lang.String getBuildLevel()
                                   throws AttributeNotSetException

  This string contains the build level without any version or release information.

  Throws:
    `AttributeNotSetException`

### setBuildLevel

    void setBuildLevel(java.lang.String x)

### hasBuildLevel

    boolean hasBuildLevel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD